<?php
/**
 * The template for displaying 404 pages
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 * @since 1.0
 * @package RoyalNews
 */
get_header();?>
<div class="royalnews-page-not-found">
    <div class="royalnews-notfound container">
        <div class="notfound">
            <div class="notfound-404">
                <h1><?php esc_html_e( 'Oops!', 'royalnews' ); ?></h1>
                <h2><?php esc_html_e( '404 - The Page can\'t be found', 'royalnews' ); ?></h2>
                <p>
                    <?php esc_html_e( 'The page you are looking for might have been removed had its name changed or is temporarily unavailable.', 'royalnews' ); ?>
                </p>
            </div>
            <div class="royalnews-404-search">              
                <p><?php esc_html_e( 'Better Try searching?', 'royalnews' ) ?></p>
                <?php get_search_form(); ?>
            </div>
            <div class="royalnews-back-home-btn">
                <a href="<?php echo esc_url( home_url( '/' ) ) ?>" class="royalnews-404-back-home">
                    <?php esc_html_e( 'OR GO TO HOMEPAGE', 'royalnews' ) ?>
                </a>
            </div>
        </div>
    </div>
</div>
<?php get_footer();