<?php
/**
 * Theme footer content
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 * @since 1.0
 * @package RoyalNews
 */ ?>
 	<section class="royalnews-footer-main-wrapper">
 		<?php do_action( 'royalnews_before_footer' ); ?>
 		<footer class="royalnews-footer-inner" <?php royalnews_schema_html_tag( 'footer' ) ?> >
 			<?php if ( is_active_sidebar( 'royalnews_footer_area' ) && royalnews_value( 'enable-widget-area' )):?>
	 			<div class="royalnews-footer-widget-area">
	 				<div class="container">
	 					<?php dynamic_sidebar( 'royalnews_footer_area' ); ?>
	 				</div>
	 			</div>
 			<?php endif; ?>
 			<div class="royalnews-footer-copyright-area">
 				<div class="container">
	 				<div class="royalnews-copyright">
	 					<?php esc_html_e( 'Powered by', 'royalnews' ); ?> 					 
	 					<a href="<?php echo esc_url( __( 'https://wordpress.org', 'royalnews') ); ?>" target="_blank">
	 						<?php esc_html_e( 'WordPress', 'royalnews' ); ?> 							
	 					</a> 
	 					<span class="royalnews-seperator"> | </span>
	 					<?php esc_html_e( 'Theme: RoyalNews by', 'royalnews' ); ?>
	 					<a href="<?php echo esc_url( 'https://www.royaltytheme.com' ); ?>" target="_blank">
	 						<?php esc_html_e( 'Royalty Theme', 'royalnews' ); ?>
	 					</a>
	 				</div>
 				</div>
 			</div>
 		</footer>
 		<?php do_action( 'royalnews_after_footer' ); ?>
 	</section>
	<?php wp_footer(); ?>
	</body>
</html>